<div class="signin-content">
    <mat-card>
        <mat-card-content>
            <form [formGroup]="form" >  <!--(ngSubmit)="onSubmit()"-->
                <h2>FIT Hub</h2>
                <mat-form-field class="full-width-input">
                    <input matInput placeholder="User" formControlName="username" required (keyup.enter)="onSubmit()">
                    <mat-error *ngIf="isFieldInvalid('username')">
                        Please enter your user name
                    </mat-error>
                </mat-form-field>

                <mat-form-field class="full-width-input">
                    <input matInput type="password" placeholder="Password" formControlName="password" required (keyup.enter)="onSubmit()">
                    <mat-error *ngIf="isFieldInvalid('username')">
                        Please enter your password
                    </mat-error>
                </mat-form-field>
                <button mat-raised-button class="mat-primary" type="button" (click)="onSubmit()">Login</button>
            </form>
        </mat-card-content>
    </mat-card>
</div>